Subject: Re: bug#10477: zap-to-char should allow picking from history

From: [email-masked]
Date: Sun, 15 Jan 2012 09:38:26 +0800

>>>>> "DA" == Drew Adams <[email-masked]> writes:
DA> The idea is to try to make it easier to zap to Unicode (e.g. Chinese) chars that
DA> you have already inserted.  The tradeoff is that zapping to a TAB or C-q char
DA> requires you to hit `C-q' first.
Well pros with embedded control characters probably have other means of zapping.
DA> (I don't really know whether completing against a char name is necessarily
DA> easier than "to type the actual character back in again".  Completing against a
DA> history list instead of all Unicode chars as candidates, the thought was that it
DA> might be.  Dunno.)
I don't know if "completion" is relevant in the case of just one character.
All I know is hitting one or two up arrows and then RET is what the user
would like to do.